<table class='companyInfo hide'>
  <tbody>
    <tr>
      <th><?php echo $lang->contract->company;?></th>
      <td><?php echo zget($companies, $contract->company, '');?></td>
    </tr>
  </tbody>
</table>

<?php if($moduleType == 'contract' && !empty($contract->quotations)):?>
<div id='quotationBox' class='hide'>
  <div class='panel panel-block'>
    <div class='panel-heading'><strong><?php echo $lang->contract->quotation;?></strong></div>
    <?php foreach($contract->quotations as $quotationID => $quotation):?>
    <div class='panel-body'>
      <table class='table table-bordered'>
        <thead>
          <tr class='text-center'>
            <th colspan='5'>
              <?php echo $quotation->name;?>
              <?php commonModel::printLink('contract', 'editQuotation', "contractID={$contract->id}&quotationID=$quotationID", "<i class='icon-pencil'></i>", "data-toggle='modal' title='{$lang->edit}'", '', true);?>
            </th>
          </tr>
          <tr class='text-center'>
            <th><?php echo $lang->orderProduct->product;?></th>
            <th class='w-60px'><?php echo $lang->orderProduct->unit;?></th>
            <th class='w-100px'><?php echo $lang->orderProduct->price;?></th>
            <th class='w-100px'><?php echo $lang->orderProduct->amount;?></th>
            <th class='w-100px'><?php echo $lang->orderProduct->money;?></th>
          </tr>
        </thead>
        <?php foreach($quotation->orderProducts as $orderProduct):?>
        <tr class='text-center'>
          <?php $productName = zget($products, $orderProduct->product);?>
          <td title='<?php echo $productName;?>'>
            <?php if(!commonModel::printLink('product', 'view', "id={$orderProduct->product}", $productName)) echo $productName;?>
          </td>
          <td><?php echo $orderProduct->unit;?></td>
          <td><?php echo $orderProduct->price;?></td>
          <td><?php echo $orderProduct->amount;?></td>
          <td><?php echo $orderProduct->money;?></td>
        </tr>
        <?php endforeach;?>
        <tr class='text-center'>
          <td colspan='3'></td>
          <td><strong><?php echo $lang->order->total;?></strong></td>
          <td><strong><?php echo $quotation->amount;?></strong></td>
        </tr>
      </table>
    </div>
    <?php endforeach;?>
    </div> 
  </div>
</div>
<?php endif;?>
<?php js::set('contractID', $contract->id);?>
<script>
<?php if($moduleType == 'contract'):?>
if($('#quotationBox').length) $('.main-row .main-col div:first').after($('#quotationBox').html());
<?php endif;?>
$('.side-col .table-data:first tr:first').after($('.companyInfo tbody').html());
</script>
